get
https://partner.gupshup.io/partner/app//details
Use this API to fetch the app details based on appId.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Parameters
| Key | Description | Constraints | Required/Optional | Type | Value |
|---|---|---|---|---|---|
| PARTNER_TOKEN | JWT Token issues post Partner login | Should be a valid Partner JWT Token. | String | ||
| appId | id of the app for which data is to be fetched |
| String |
Sample Request
curl --location --request GET '{{partner_portal_base_url}}/partner/app/:appId/details' \
--header 'token: {{PARTNER_TOKEN}}'Sample Response
{
"status": "success",
"appDetails": {
"createdOn": 1664782690749,
"customerId": "4000******50",
"disableOptinPrefUrl": false,
"embedAllowed": true,
"federated": false,
"id": "0c0e96d7-****-****-****-f58a3110ed25",
"languageCode": "en_US",
"live": true,
"liveTs": 1664885206957,
"modifiedOn": 1786439879258,
"name": "prod**********",
"phone": "9172******94",
"provider": "GUPSHUP",
"stopped": false,
"storageRegion": "FBC",
"templateMessaging": true,
"type": "apicallbackpost",
"version": 2
},
"app": "true"
}Status Codes
| Status Code | Response | Comment |
|---|---|---|
| Success | ||
| 200 | { "status": "success", "appDetails": { "billingType": "\<POSTPAID,PREPAID>", "createdOn": <timestamp>, "callbackUrl": "\<callback_url>", //if set "disableOptinPrefUrl": \<true/false>, "embedAllowed": \<true/false>, "federated": \<true/false>, "id": "\<app_id>", "languageCode": "\<language_code>", "live": \<true/false>, "liveTs": <timestamp>, "modifiedOn": <timestamp>, "name": "\<app_name>", "phone": "phone", "stopped": \<true/false>, "storageRegion": "\<BR, DE, CH, GB, BH, ZA, AE, US, CA, AU, ID, IN, JP, SG, KR>", "templateMessaging": \<true/false>, "type": "apicallbackpost", "version": \<0,1,2> }, "app": "true" } | |
| Error | ||
| 400 | { "status":"error", "message/data":"<Specific to API>" } | Either the request parameter type or HTTP request type is incorrect |
| 401 | { "status":"error", "message":"Unauthorized Access" } | If the token is incorrect or forbidden. |
| 403 | { "status":"error", "message":"Unauthorized Access" } | When app does not belong to the Partner |
| 429 | { "status": "error", "message": "Too Many Requests" } | When the rate limit is exceeded |
